Commits

mits...@fennek  committed c72af8e

Initial checkin

  • Participants

Comments (0)

Files changed (52)

+./(Debug|Release)/bin
+./librecordscreen/.*\.o$

File GNOME-Record-Screen.mds

+<Combine name="GNOME-Record-Screen" fileversion="2.0">
+  <Configurations active="Debug">
+    <Configuration name="Debug" ctype="CombineConfiguration">
+      <Entry build="True" name="GNOME-Record-Screen" configuration="Debug" />
+      <Entry build="True" name="librecordscreen" configuration="Debug" />
+    </Configuration>
+    <Configuration name="Release" ctype="CombineConfiguration">
+      <Entry build="True" name="GNOME-Record-Screen" configuration="Release" />
+      <Entry build="True" name="librecordscreen" configuration="Release" />
+    </Configuration>
+  </Configurations>
+  <StartMode startupentry="GNOME-Record-Screen" single="True">
+    <Execute type="None" entry="GNOME-Record-Screen" />
+    <Execute type="None" entry="librecordscreen" />
+  </StartMode>
+  <Entries>
+    <Entry filename="GNOME-Record-Screen/GNOME-Record-Screen.mdp" />
+    <Entry filename="librecordscreen/librecordscreen.mdp" />
+  </Entries>
+</Combine>

File GNOME-Record-Screen.userprefs

+<UserCombinePreferences version="1.0" filename="/home/mitsuhiko/Development/GNOME-Record-Screen/GNOME-Record-Screen.mds">
+  <Files>
+    <File name="Welcome" />
+    <File name="GNOME-Record-Screen/src/UI/MainWindow.cs" line="172" column="76" />
+    <File name="GNOME-Record-Screen/src/Utils.cs" line="39" column="58" />
+    <File name="GNOME-Record-Screen/src/UI/SaveDialog.cs" line="50" column="2" />
+    <File name="GNOME-Record-Screen/src/UI/RecordingAreaSelector.cs" line="78" column="55" />
+    <File name="GNOME-Record-Screen/src/VideoEncoders.cs" line="139" column="41" />
+    <File name="GNOME-Record-Screen/src/UI/H264ConfigurationPane.cs" line="17" column="4" />
+  </Files>
+  <Views>
+    <ViewMemento id="ProjectPad">
+      <Node expanded="True">
+        <Node name="GNOME-Record-Screen" expanded="True">
+          <Node name="UserInterface" expanded="True" />
+          <Node name="src" expanded="True">
+            <Node name="UI" expanded="True">
+              <Node name="MainWindow.cs" selected="True" />
+            </Node>
+          </Node>
+        </Node>
+        <Node name="librecordscreen" expanded="True" />
+      </Node>
+    </ViewMemento>
+    <ViewMemento id="ClassPad">
+      <Node expanded="True" />
+    </ViewMemento>
+  </Views>
+  <Properties>
+    <Property key="ActiveWindow" value="/home/mitsuhiko/Development/GNOME-Record-Screen/GNOME-Record-Screen/src/UI/MainWindow.cs" />
+    <Property key="ActiveConfiguration" value="Debug" />
+  </Properties>
+</UserCombinePreferences>

File GNOME-Record-Screen.usertasks

+<?xml version="1.0" encoding="utf-8"?>
+<ArrayOfUserTask xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" />

File GNOME-Record-Screen/GNOME-Record-Screen.mdp

+<Project name="GNOME-Record-Screen" fileversion="2.0" language="C#" clr-version="Net_2_0" ctype="DotNetProject">
+  <Configurations active="Debug">
+    <Configuration name="Debug" ctype="DotNetProjectConfiguration">
+      <Output directory="bin/Debug" assemblyKeyFile="." assembly="GNOME-Record-Screen" />
+      <Build debugmode="True" target="WinExe" />
+      <Execution runwithwarnings="True" consolepause="True" runtime="MsNet" clr-version="Net_2_0" />
+      <CodeGeneration compiler="Mcs" warninglevel="4" optimize="True" unsafecodeallowed="False" generateoverflowchecks="True" mainclass="Gnome.RecordScreen.RecorderApplication" definesymbols="DEBUG" generatexmldocumentation="False" win32Icon="." codepage="65001" ctype="CSharpCompilerParameters" />
+    </Configuration>
+    <Configuration name="Release" ctype="DotNetProjectConfiguration">
+      <Output directory="bin/Release" assembly="GNOME-Record-Screen" />
+      <Build debugmode="False" target="WinExe" />
+      <Execution runwithwarnings="True" consolepause="True" runtime="MsNet" clr-version="Net_2_0" />
+      <CodeGeneration compiler="Mcs" warninglevel="4" optimize="True" unsafecodeallowed="False" generateoverflowchecks="True" mainclass="Gnome.RecordScreen.RecorderApplication" generatexmldocumentation="False" win32Icon="." codepage="65001" ctype="CSharpCompilerParameters" />
+    </Configuration>
+  </Configurations>
+  <Contents>
+    <File name="gtk-gui/gui.stetic" subtype="Code" buildaction="EmbedAsResource" />
+    <File name="gtk-gui/generated.cs" subtype="Code" buildaction="Compile" />
+    <File name="app.desktop" subtype="Code" buildaction="FileCopy" DeployService.TargetDirectoryId="Linux.DesktopApplications" />
+    <File name="gtk-gui/Gnome.RecordScreen.UI.MainWindow.cs" subtype="Code" buildaction="Compile" />
+    <File name="src/AssemblyInfo.cs" subtype="Code" buildaction="Compile" />
+    <File name="src/Main.cs" subtype="Code" buildaction="Compile" />
+    <File name="src/UI/MainWindow.cs" subtype="Code" buildaction="Compile" />
+    <File name="src/ScreenRecorder.cs" subtype="Code" buildaction="Compile" />
+    <File name="src/Log.cs" subtype="Code" buildaction="Compile" />
+    <File name="src/Utils.cs" subtype="Code" buildaction="Compile" />
+    <File name="src/UI/RecordingAreaSelector.cs" subtype="Code" buildaction="Compile" />
+    <File name="src/UI/SaveDialog.cs" subtype="Code" buildaction="Compile" />
+    <File name="src/VideoEncoders.cs" subtype="Code" buildaction="Compile" />
+    <File name="src/UI/H264ConfigurationPane.cs" subtype="Code" buildaction="Compile" />
+    <File name="gtk-gui/objects.xml" subtype="Code" buildaction="EmbedAsResource" />
+    <File name="gtk-gui/Gnome.RecordScreen.UI.H264ConfigurationPane.cs" subtype="Code" buildaction="Compile" />
+    <File name="src/UI/TheoraConfigurationPane.cs" subtype="Code" buildaction="Compile" />
+    <File name="gtk-gui/Gnome.RecordScreen.UI.TheoraConfigurationPane.cs" subtype="Code" buildaction="Compile" />
+    <File name="src/UI/MpegConfigurationPane.cs" subtype="Code" buildaction="Compile" />
+    <File name="gtk-gui/Gnome.RecordScreen.UI.MpegConfigurationPane.cs" subtype="Code" buildaction="Compile" />
+  </Contents>
+  <References>
+    <ProjectReference type="Gac" localcopy="True" refto="gtk-sharp, Version=2.12.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f" />
+    <ProjectReference type="Gac" localcopy="True" refto="gdk-sharp, Version=2.12.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f" />
+    <ProjectReference type="Gac" localcopy="True" refto="glib-sharp, Version=2.12.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f" />
+    <ProjectReference type="Gac" localcopy="True" refto="glade-sharp, Version=2.12.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f" />
+    <ProjectReference type="Gac" localcopy="True" refto="pango-sharp, Version=2.12.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f" />
+    <ProjectReference type="Gac" localcopy="True" refto="System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" />
+    <ProjectReference type="Gac" localcopy="True" refto="Mono.Posix, Version=2.0.0.0, Culture=neutral, PublicKeyToken=0738eb9f132ed756" />
+    <ProjectReference type="Gac" localcopy="True" refto="atk-sharp, Version=2.12.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f" />
+    <ProjectReference type="Assembly" localcopy="True" refto="../../../../../usr/lib/monodevelop/AddIns/MonoDevelop.GtkCore/libstetic.dll" />
+  </References>
+  <GtkDesignInfo gtkVersion="2.12.1">
+    <ExportedWidgets>
+      <Widget>Gnome.RecordScreen.UI.H264ConfigurationPane</Widget>
+      <Widget>Gnome.RecordScreen.UI.TheoraConfigurationPane</Widget>
+      <Widget>Gnome.RecordScreen.UI.MpegConfigurationPane</Widget>
+    </ExportedWidgets>
+  </GtkDesignInfo>
+  <MonoDevelop.Autotools.MakefileInfo RelativeMakefileName="Makefile.am" SyncReferences="True" IsAutotoolsProject="True" RelativeConfigureInPath="..">
+    <BuildFilesVar Sync="True" Name="FILES" />
+    <DeployFilesVar />
+    <ResourcesVar Sync="True" Name="RESOURCES" />
+    <OthersVar />
+    <GacRefVar Sync="True" Name="REFERENCES" />
+    <AsmRefVar Sync="True" Name="REFERENCES" />
+    <ProjectRefVar Sync="True" Name="REFERENCES" />
+  </MonoDevelop.Autotools.MakefileInfo>
+</Project>

File GNOME-Record-Screen/GNOME-Record-Screen.pidb

Binary file added.

File GNOME-Record-Screen/Makefile

+# Makefile.in generated by automake 1.10.1 from Makefile.am.
+# GNOME-Record-Screen/Makefile.  Generated from Makefile.in by configure.
+
+# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
+# 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
+# This Makefile.in is free software; the Free Software Foundation
+# gives unlimited permission to copy and/or distribute it,
+# with or without modifications, as long as this notice is preserved.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
+# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
+# PARTICULAR PURPOSE.
+
+
+
+
+
+pkgdatadir = $(datadir)/gnome-record-screen
+pkglibdir = $(libdir)/gnome-record-screen
+pkgincludedir = $(includedir)/gnome-record-screen
+am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
+install_sh_DATA = $(install_sh) -c -m 644
+install_sh_PROGRAM = $(install_sh) -c
+install_sh_SCRIPT = $(install_sh) -c
+INSTALL_HEADER = $(INSTALL_DATA)
+transform = $(program_transform_name)
+NORMAL_INSTALL = :
+PRE_INSTALL = :
+POST_INSTALL = :
+NORMAL_UNINSTALL = :
+PRE_UNINSTALL = :
+POST_UNINSTALL = :
+DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
+	$(srcdir)/gnome-record-screen.in \
+	$(top_srcdir)/Makefile.include
+subdir = GNOME-Record-Screen
+ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
+am__aclocal_m4_deps = $(top_srcdir)/configure.ac
+am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
+	$(ACLOCAL_M4)
+mkinstalldirs = $(install_sh) -d
+CONFIG_CLEAN_FILES = gnome-record-screen
+am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(pkglibdir)" \
+	"$(DESTDIR)$(linuxdesktopapplicationsdir)" \
+	"$(DESTDIR)$(programfilesdir)"
+binSCRIPT_INSTALL = $(INSTALL_SCRIPT)
+pkglibSCRIPT_INSTALL = $(INSTALL_SCRIPT)
+SCRIPTS = $(bin_SCRIPTS) $(pkglib_SCRIPTS)
+SOURCES =
+DIST_SOURCES =
+am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
+am__vpath_adj = case $$p in \
+    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
+    *) f=$$p;; \
+  esac;
+am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
+linuxdesktopapplicationsDATA_INSTALL = $(INSTALL_DATA)
+programfilesDATA_INSTALL = $(INSTALL_DATA)
+DATA = $(linuxdesktopapplications_DATA) $(programfiles_DATA)
+DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
+ACLOCAL = ${SHELL} /home/mitsuhiko/Development/GNOME-Record-Screen/missing --run aclocal-1.10
+AMTAR = ${SHELL} /home/mitsuhiko/Development/GNOME-Record-Screen/missing --run tar
+AUTOCONF = ${SHELL} /home/mitsuhiko/Development/GNOME-Record-Screen/missing --run autoconf
+AUTOHEADER = ${SHELL} /home/mitsuhiko/Development/GNOME-Record-Screen/missing --run autoheader
+AUTOMAKE = ${SHELL} /home/mitsuhiko/Development/GNOME-Record-Screen/missing --run automake-1.10
+AWK = mawk
+CYGPATH_W = echo
+DEFS = -DPACKAGE_NAME=\"GNOME-Record-Screen\" -DPACKAGE_TARNAME=\"gnome-record-screen\" -DPACKAGE_VERSION=\"0.1\" -DPACKAGE_STRING=\"GNOME-Record-Screen\ 0.1\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"gnome-record-screen\" -DVERSION=\"0.1\"
+ECHO_C = 
+ECHO_N = -n
+ECHO_T = 
+GLADE_SHARP_20_CFLAGS = -I:/usr/lib/pkgconfig/../../share/gapi-2.0/glade-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/pango-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/atk-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/gdk-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/gtk-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/glib-api.xml  
+GLADE_SHARP_20_LIBS = -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/glade-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/pango-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/atk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gdk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gtk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/glib-sharp.dll  
+GLIB_SHARP_20_CFLAGS = -I:/usr/lib/pkgconfig/../../share/gapi-2.0/glib-api.xml  
+GLIB_SHARP_20_LIBS = -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/glib-sharp.dll  
+GMCS = /usr/bin/gmcs
+GTK_SHARP_20_CFLAGS = -I:/usr/lib/pkgconfig/../../share/gapi-2.0/pango-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/atk-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/gdk-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/gtk-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/glib-api.xml  
+GTK_SHARP_20_LIBS = -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/pango-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/atk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gdk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gtk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/glib-sharp.dll  
+INSTALL = /usr/bin/install -c
+INSTALL_DATA = ${INSTALL} -m 644
+INSTALL_PROGRAM = ${INSTALL}
+INSTALL_SCRIPT = ${INSTALL}
+INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
+LIBOBJS = 
+LIBS = 
+LTLIBOBJS = 
+MAKEINFO = ${SHELL} /home/mitsuhiko/Development/GNOME-Record-Screen/missing --run makeinfo
+MKDIR_P = /bin/mkdir -p
+PACKAGE = gnome-record-screen
+PACKAGE_BUGREPORT = 
+PACKAGE_NAME = GNOME-Record-Screen
+PACKAGE_STRING = GNOME-Record-Screen 0.1
+PACKAGE_TARNAME = gnome-record-screen
+PACKAGE_VERSION = 0.1
+PATH_SEPARATOR = :
+PKG_CONFIG = /usr/bin/pkg-config
+SET_MAKE = 
+SHELL = /bin/bash
+STRIP = 
+VERSION = 0.1
+abs_builddir = /home/mitsuhiko/Development/GNOME-Record-Screen/GNOME-Record-Screen
+abs_srcdir = /home/mitsuhiko/Development/GNOME-Record-Screen/GNOME-Record-Screen
+abs_top_builddir = /home/mitsuhiko/Development/GNOME-Record-Screen
+abs_top_srcdir = /home/mitsuhiko/Development/GNOME-Record-Screen
+am__leading_dot = .
+am__tar = ${AMTAR} chof - "$$tardir"
+am__untar = ${AMTAR} xf -
+bindir = ${exec_prefix}/bin
+build_alias = 
+builddir = .
+datadir = ${datarootdir}
+datarootdir = ${prefix}/share
+docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
+dvidir = ${docdir}
+exec_prefix = ${prefix}
+host_alias = 
+htmldir = ${docdir}
+includedir = ${prefix}/include
+infodir = ${datarootdir}/info
+install_sh = $(SHELL) /home/mitsuhiko/Development/GNOME-Record-Screen/install-sh
+libdir = ${exec_prefix}/lib
+libexecdir = ${exec_prefix}/libexec
+localedir = ${datarootdir}/locale
+localstatedir = ${prefix}/var
+mandir = ${datarootdir}/man
+mkdir_p = /bin/mkdir -p
+oldincludedir = /usr/include
+pdfdir = ${docdir}
+prefix = /usr/local
+program_transform_name = s,x,x,
+psdir = ${docdir}
+sbindir = ${exec_prefix}/sbin
+sharedstatedir = ${prefix}/com
+srcdir = .
+sysconfdir = ${prefix}/etc
+target_alias = 
+top_builddir = ..
+top_srcdir = ..
+EXTRA_DIST = $(build_sources) $(build_resx_files) \
+	$(build_others_files) $(ASSEMBLY_WRAPPER_IN) $(EXTRAS) \
+	$(DATA_FILES) $(build_culture_res_files)
+
+# Warning: This is an automatically generated file, do not edit!
+ASSEMBLY_COMPILER_COMMAND = gmcs
+#ASSEMBLY_COMPILER_COMMAND = gmcs
+ASSEMBLY_COMPILER_FLAGS = -noconfig -codepage:utf8 -warn:4 -optimize+ -debug "-define:DEBUG"
+#ASSEMBLY_COMPILER_FLAGS = -noconfig -codepage:utf8 -warn:4 -optimize+ "-main:Gnome.RecordScreen.RecorderApplication"
+ASSEMBLY = bin/Debug/GNOME-Record-Screen.exe
+#ASSEMBLY = bin/Release/GNOME-Record-Screen.exe
+ASSEMBLY_MDB = $(ASSEMBLY).mdb
+#ASSEMBLY_MDB = 
+COMPILE_TARGET = winexe
+#COMPILE_TARGET = winexe
+PROJECT_REFERENCES = 
+#PROJECT_REFERENCES = 
+BUILD_DIR = bin/Debug
+#BUILD_DIR = bin/Release
+LIBSTETIC_DLL_SOURCE = ../../../../../usr/lib/monodevelop/AddIns/MonoDevelop.GtkCore/libstetic.dll
+#LIBSTETIC_DLL_SOURCE = ../../../../../usr/lib/monodevelop/AddIns/MonoDevelop.GtkCore/libstetic.dll
+LIBSTETIC_DLL_CONFIG_SOURCE = ../../../../../usr/lib/monodevelop/AddIns/MonoDevelop.GtkCore/libstetic.dll.config
+#LIBSTETIC_DLL_CONFIG_SOURCE = ../../../../../usr/lib/monodevelop/AddIns/MonoDevelop.GtkCore/libstetic.dll.config
+GNOME_RECORD_SCREEN_DESKTOP_SOURCE = app.desktop
+#GNOME_RECORD_SCREEN_DESKTOP_SOURCE = app.desktop
+AL = al2
+SATELLITE_ASSEMBLY_NAME = .resources.dll
+PROGRAMFILES = \
+	$(LIBSTETIC_DLL) \
+	$(LIBSTETIC_DLL_CONFIG)  
+
+LINUX_DESKTOPAPPLICATIONS = \
+	$(GNOME_RECORD_SCREEN_DESKTOP)  
+
+BINARIES = \
+	$(GNOME_RECORD_SCREEN)  
+
+FILES = \
+	gtk-gui/generated.cs \
+	gtk-gui/Gnome.RecordScreen.UI.MainWindow.cs \
+	src/AssemblyInfo.cs \
+	src/Main.cs \
+	src/UI/MainWindow.cs \
+	src/ScreenRecorder.cs \
+	src/Log.cs \
+	src/Utils.cs \
+	src/UI/RecordingAreaSelector.cs \
+	src/UI/SaveDialog.cs \
+	src/VideoEncoders.cs \
+	src/UI/H264ConfigurationPane.cs \
+	gtk-gui/Gnome.RecordScreen.UI.H264ConfigurationPane.cs \
+	src/UI/TheoraConfigurationPane.cs \
+	gtk-gui/Gnome.RecordScreen.UI.TheoraConfigurationPane.cs \
+	src/UI/MpegConfigurationPane.cs \
+	gtk-gui/Gnome.RecordScreen.UI.MpegConfigurationPane.cs 
+
+DATA_FILES = \
+	app.desktop 
+
+RESOURCES = \
+	gtk-gui/gui.stetic \
+	gtk-gui/objects.xml 
+
+EXTRAS = \
+	gnome-record-screen.in 
+
+REFERENCES = \
+	$(GTK_SHARP_20_LIBS) \
+	$(GLIB_SHARP_20_LIBS) \
+	$(GLADE_SHARP_20_LIBS) \
+	System \
+	Mono.Posix
+
+DLL_REFERENCES = \
+	../../../../../usr/lib/monodevelop/AddIns/MonoDevelop.GtkCore/libstetic.dll
+
+CLEANFILES = $(PROGRAMFILES) $(LINUX_DESKTOPAPPLICATIONS) $(BINARIES) \
+	$(ASSEMBLY) $(ASSEMBLY).mdb $(BINARIES) \
+	$(build_resx_resources) $(build_satellite_assembly_list)
+VALID_CULTURES = ar bg ca zh-CHS cs da de el en es fi fr he hu is it ja ko nl no pl pt ro ru hr sk sq sv th tr id uk be sl et lv lt fa vi hy eu mk af fo hi sw gu ta te kn mr gl kok ar-SA bg-BG ca-ES zh-TW cs-CZ da-DK de-DE el-GR en-US fi-FI fr-FR he-IL hu-HU is-IS it-IT ja-JP ko-KR nl-NL nb-NO pl-PL pt-BR ro-RO ru-RU hr-HR sk-SK sq-AL sv-SE th-TH tr-TR id-ID uk-UA be-BY sl-SI et-EE lv-LV lt-LT fa-IR vi-VN hy-AM eu-ES mk-MK af-ZA fo-FO hi-IN sw-KE gu-IN ta-IN te-IN kn-IN mr-IN gl-ES kok-IN ar-IQ zh-CN de-CH en-GB es-MX fr-BE it-CH nl-BE nn-NO pt-PT sv-FI ar-EG zh-HK de-AT en-AU es-ES fr-CA ar-LY zh-SG de-LU en-CA es-GT fr-CH ar-DZ zh-MO en-NZ es-CR fr-LU ar-MA en-IE es-PA ar-TN en-ZA es-DO ar-OM es-VE ar-YE es-CO ar-SY es-PE ar-JO es-AR ar-LB en-ZW es-EC ar-KW en-PH es-CL ar-AE es-UY ar-BH es-PY ar-QA es-BO es-SV es-HN es-NI es-PR zh-CHT
+build_sources = $(FILES) $(GENERATED_FILES)
+build_sources_embed = $(build_sources:%='$(srcdir)/%')
+comma__ = ,
+get_resource_name = $(firstword $(subst $(comma__), ,$1))
+get_culture = $(lastword $(subst ., ,$(basename $1)))
+is_cultured_resource = $(and $(word 3,$(subst ., ,$1)), $(filter $(VALID_CULTURES),$(lastword $(subst ., ,$(basename $1)))))
+build_resx_list = $(foreach res, $(RESOURCES), $(if $(filter %.resx, $(call get_resource_name,$(res))),$(res),))
+build_non_culture_resx_list = $(foreach res, $(build_resx_list),$(if $(call is_cultured_resource,$(call get_resource_name,$(res))),,$(res)))
+build_non_culture_others_list = $(foreach res, $(filter-out $(build_resx_list),$(RESOURCES)),$(if $(call is_cultured_resource,$(call get_resource_name,$(res))),,$(res)))
+build_others_list = $(build_non_culture_others_list)
+build_xamlg_list = $(filter %.xaml.g.cs, $(FILES))
+
+# resgen all .resx resources
+build_resx_files = $(foreach res, $(build_resx_list), $(call get_resource_name,$(res)))
+build_resx_resources = $(build_resx_files:.resx=.resources)
+
+# embed resources for the main assembly
+build_resx_resources_hack = $(subst .resx,.resources, $(build_non_culture_resx_list))
+build_resx_resources_embed = $(build_resx_resources_hack:%='-resource:%')
+build_others_files = $(foreach res, $(build_others_list),$(call get_resource_name,$(res)))
+build_others_resources = $(build_others_files)
+build_others_resources_embed = $(build_others_list:%='-resource:$(srcdir)/%')
+build_resources = $(build_resx_resources) $(build_others_resources)
+build_resources_embed = $(build_resx_resources_embed) $(build_others_resources_embed)
+build_references_ref = $(foreach ref, $(REFERENCES), $(if $(filter \
+	-pkg:%, $(ref)), $(ref), $(if $(filter -r:%, $(ref)), $(ref), \
+	-r:$(ref)))) $(foreach ref, $(DLL_REFERENCES), -r:$(ref)) \
+	$(foreach ref, $(PROJECT_REFERENCES), -r:$(ref))
+DISTCLEANFILES = $(GENERATED_FILES) $(pc_files) $(BUILD_DIR)/*
+pkglib_SCRIPTS = $(ASSEMBLY)
+bin_SCRIPTS = $(BINARIES)
+linuxdesktopapplicationsdir = ${datarootdir}/applications
+linuxdesktopapplications_DATA = $(LINUX_DESKTOPAPPLICATIONS)
+programfilesdir = ${exec_prefix}/lib/gnome-record-screen
+programfiles_DATA = $(PROGRAMFILES)
+
+# generating satellite assemblies
+culture_resources = $(foreach res, $(RESOURCES), $(if $(call is_cultured_resource,$(call get_resource_name, $(res))),$(res)))
+cultures = $(sort $(foreach res, $(culture_resources), $(call get_culture,$(call get_resource_name,$(res)))))
+culture_resource_dependencies = $(BUILD_DIR)/$1/$(SATELLITE_ASSEMBLY_NAME): $(subst .resx,.resources,$2)
+culture_resource_commandlines = cmd_line_satellite_$1 += '/embed:$(subst .resx,.resources,$2)'
+build_satellite_assembly_list = $(cultures:%=$(BUILD_DIR)/%/$(SATELLITE_ASSEMBLY_NAME))
+build_culture_res_files = $(foreach res, $(culture_resources),$(call get_resource_name,$(res)))
+LIBSTETIC_DLL = $(BUILD_DIR)/libstetic.dll
+GNOME_RECORD_SCREEN = $(BUILD_DIR)/gnome-record-screen
+LIBSTETIC_DLL_CONFIG = $(BUILD_DIR)/libstetic.dll.config
+GNOME_RECORD_SCREEN_DESKTOP = $(BUILD_DIR)/gnome-record-screen.desktop
+all: all-am
+
+.SUFFIXES:
+$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/Makefile.include $(am__configure_deps)
+	@for dep in $?; do \
+	  case '$(am__configure_deps)' in \
+	    *$$dep*) \
+	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
+		&& exit 0; \
+	      exit 1;; \
+	  esac; \
+	done; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  GNOME-Record-Screen/Makefile'; \
+	cd $(top_srcdir) && \
+	  $(AUTOMAKE) --foreign  GNOME-Record-Screen/Makefile
+.PRECIOUS: Makefile
+Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
+	@case '$?' in \
+	  *config.status*) \
+	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
+	  *) \
+	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
+	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
+	esac;
+
+$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
+	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+
+$(top_srcdir)/configure:  $(am__configure_deps)
+	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
+	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+gnome-record-screen: $(top_builddir)/config.status $(srcdir)/gnome-record-screen.in
+	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
+install-binSCRIPTS: $(bin_SCRIPTS)
+	@$(NORMAL_INSTALL)
+	test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
+	@list='$(bin_SCRIPTS)'; for p in $$list; do \
+	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
+	  if test -f $$d$$p; then \
+	    f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
+	    echo " $(binSCRIPT_INSTALL) '$$d$$p' '$(DESTDIR)$(bindir)/$$f'"; \
+	    $(binSCRIPT_INSTALL) "$$d$$p" "$(DESTDIR)$(bindir)/$$f"; \
+	  else :; fi; \
+	done
+
+uninstall-binSCRIPTS:
+	@$(NORMAL_UNINSTALL)
+	@list='$(bin_SCRIPTS)'; for p in $$list; do \
+	  f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
+	  echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
+	  rm -f "$(DESTDIR)$(bindir)/$$f"; \
+	done
+install-pkglibSCRIPTS: $(pkglib_SCRIPTS)
+	@$(NORMAL_INSTALL)
+	test -z "$(pkglibdir)" || $(MKDIR_P) "$(DESTDIR)$(pkglibdir)"
+	@list='$(pkglib_SCRIPTS)'; for p in $$list; do \
+	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
+	  if test -f $$d$$p; then \
+	    f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
+	    echo " $(pkglibSCRIPT_INSTALL) '$$d$$p' '$(DESTDIR)$(pkglibdir)/$$f'"; \
+	    $(pkglibSCRIPT_INSTALL) "$$d$$p" "$(DESTDIR)$(pkglibdir)/$$f"; \
+	  else :; fi; \
+	done
+
+uninstall-pkglibSCRIPTS:
+	@$(NORMAL_UNINSTALL)
+	@list='$(pkglib_SCRIPTS)'; for p in $$list; do \
+	  f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
+	  echo " rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
+	  rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
+	done
+install-linuxdesktopapplicationsDATA: $(linuxdesktopapplications_DATA)
+	@$(NORMAL_INSTALL)
+	test -z "$(linuxdesktopapplicationsdir)" || $(MKDIR_P) "$(DESTDIR)$(linuxdesktopapplicationsdir)"
+	@list='$(linuxdesktopapplications_DATA)'; for p in $$list; do \
+	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
+	  f=$(am__strip_dir) \
+	  echo " $(linuxdesktopapplicationsDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(linuxdesktopapplicationsdir)/$$f'"; \
+	  $(linuxdesktopapplicationsDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(linuxdesktopapplicationsdir)/$$f"; \
+	done
+
+uninstall-linuxdesktopapplicationsDATA:
+	@$(NORMAL_UNINSTALL)
+	@list='$(linuxdesktopapplications_DATA)'; for p in $$list; do \
+	  f=$(am__strip_dir) \
+	  echo " rm -f '$(DESTDIR)$(linuxdesktopapplicationsdir)/$$f'"; \
+	  rm -f "$(DESTDIR)$(linuxdesktopapplicationsdir)/$$f"; \
+	done
+install-programfilesDATA: $(programfiles_DATA)
+	@$(NORMAL_INSTALL)
+	test -z "$(programfilesdir)" || $(MKDIR_P) "$(DESTDIR)$(programfilesdir)"
+	@list='$(programfiles_DATA)'; for p in $$list; do \
+	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
+	  f=$(am__strip_dir) \
+	  echo " $(programfilesDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(programfilesdir)/$$f'"; \
+	  $(programfilesDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(programfilesdir)/$$f"; \
+	done
+
+uninstall-programfilesDATA:
+	@$(NORMAL_UNINSTALL)
+	@list='$(programfiles_DATA)'; for p in $$list; do \
+	  f=$(am__strip_dir) \
+	  echo " rm -f '$(DESTDIR)$(programfilesdir)/$$f'"; \
+	  rm -f "$(DESTDIR)$(programfilesdir)/$$f"; \
+	done
+tags: TAGS
+TAGS:
+
+ctags: CTAGS
+CTAGS:
+
+
+distdir: $(DISTFILES)
+	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
+	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
+	list='$(DISTFILES)'; \
+	  dist_files=`for file in $$list; do echo $$file; done | \
+	  sed -e "s|^$$srcdirstrip/||;t" \
+	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
+	case $$dist_files in \
+	  */*) $(MKDIR_P) `echo "$$dist_files" | \
+			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
+			   sort -u` ;; \
+	esac; \
+	for file in $$dist_files; do \
+	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
+	  if test -d $$d/$$file; then \
+	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
+	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
+	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
+	    fi; \
+	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
+	  else \
+	    test -f $(distdir)/$$file \
+	    || cp -p $$d/$$file $(distdir)/$$file \
+	    || exit 1; \
+	  fi; \
+	done
+check-am: all-am
+check: check-am
+all-am: Makefile $(SCRIPTS) $(DATA)
+installdirs:
+	for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(linuxdesktopapplicationsdir)" "$(DESTDIR)$(programfilesdir)"; do \
+	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
+	done
+install: install-am
+install-exec: install-exec-am
+install-data: install-data-am
+uninstall: uninstall-am
+
+install-am: all-am
+	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
+
+installcheck: installcheck-am
+install-strip:
+	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
+	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
+	  `test -z '$(STRIP)' || \
+	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
+mostlyclean-generic:
+
+clean-generic:
+	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
+
+distclean-generic:
+	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
+	-test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
+
+maintainer-clean-generic:
+	@echo "This command is intended for maintainers to use"
+	@echo "it deletes files that may require special tools to rebuild."
+clean: clean-am
+
+clean-am: clean-generic mostlyclean-am
+
+distclean: distclean-am
+	-rm -f Makefile
+distclean-am: clean-am distclean-generic
+
+dvi: dvi-am
+
+dvi-am:
+
+html: html-am
+
+info: info-am
+
+info-am:
+
+install-data-am: install-linuxdesktopapplicationsDATA \
+	install-programfilesDATA
+
+install-dvi: install-dvi-am
+
+install-exec-am: install-binSCRIPTS install-pkglibSCRIPTS
+
+install-html: install-html-am
+
+install-info: install-info-am
+
+install-man:
+
+install-pdf: install-pdf-am
+
+install-ps: install-ps-am
+
+installcheck-am:
+
+maintainer-clean: maintainer-clean-am
+	-rm -f Makefile
+maintainer-clean-am: distclean-am maintainer-clean-generic
+
+mostlyclean: mostlyclean-am
+
+mostlyclean-am: mostlyclean-generic
+
+pdf: pdf-am
+
+pdf-am:
+
+ps: ps-am
+
+ps-am:
+
+uninstall-am: uninstall-binSCRIPTS \
+	uninstall-linuxdesktopapplicationsDATA uninstall-pkglibSCRIPTS \
+	uninstall-programfilesDATA
+
+.MAKE: install-am install-strip
+
+.PHONY: all all-am check check-am clean clean-generic distclean \
+	distclean-generic distdir dvi dvi-am html html-am info info-am \
+	install install-am install-binSCRIPTS install-data \
+	install-data-am install-dvi install-dvi-am install-exec \
+	install-exec-am install-html install-html-am install-info \
+	install-info-am install-linuxdesktopapplicationsDATA \
+	install-man install-pdf install-pdf-am install-pkglibSCRIPTS \
+	install-programfilesDATA install-ps install-ps-am \
+	install-strip installcheck installcheck-am installdirs \
+	maintainer-clean maintainer-clean-generic mostlyclean \
+	mostlyclean-generic pdf pdf-am ps ps-am uninstall uninstall-am \
+	uninstall-binSCRIPTS uninstall-linuxdesktopapplicationsDATA \
+	uninstall-pkglibSCRIPTS uninstall-programfilesDATA
+
+ "-main:Gnome.RecordScreen.RecorderApplication"
+
+all: $(ASSEMBLY) $(PROGRAMFILES) $(LINUX_DESKTOPAPPLICATIONS) $(BINARIES) 
+
+# macros
+
+# $(call emit-deploy-target,deploy-variable-name)
+define emit-deploy-target
+$($1): $($1_SOURCE)
+	mkdir -p $$(dir $($1))
+	cp '$$<' '$$@'
+endef
+
+# $(call emit-deploy-wrapper,wrapper-variable-name,wrapper-sourcefile,x)
+# assumes that for a wrapper foo.pc its source template is foo.pc.in
+# if $3 is non-empty then wrapper is marked exec
+define emit-deploy-wrapper
+$($1): $2 
+	mkdir -p '$$(@D)'
+	cp '$$<' '$$@'
+	$(if $3,chmod +x '$$@')
+
+endef
+
+$(eval $(foreach res, $(culture_resources), $(eval $(call culture_resource_dependencies,$(call get_culture,$(call get_resource_name,$(res))),$(call get_resource_name,$(res))))))
+$(eval $(foreach res, $(culture_resources), $(eval $(call culture_resource_commandlines,$(call get_culture,$(call get_resource_name,$(res))),$(res)))))
+
+$(build_satellite_assembly_list): $(BUILD_DIR)/%/$(SATELLITE_ASSEMBLY_NAME):
+	mkdir -p '$(@D)'
+	$(AL) -out:'$@' -culture:$* -t:lib $(cmd_line_satellite_$*)
+
+$(eval $(call emit-deploy-target,LIBSTETIC_DLL))
+$(eval $(call emit-deploy-wrapper,GNOME_RECORD_SCREEN,gnome-record-screen,x))
+$(eval $(call emit-deploy-target,LIBSTETIC_DLL_CONFIG))
+$(eval $(call emit-deploy-target,GNOME_RECORD_SCREEN_DESKTOP))
+
+$(build_xamlg_list): %.xaml.g.cs: %.xaml
+	xamlg '$<'
+
+$(build_resx_resources) : %.resources: %.resx
+	resgen2 '$<' '$@'
+
+$(ASSEMBLY) $(ASSEMBLY_MDB): $(build_sources) $(build_resources) $(build_datafiles) $(DLL_REFERENCES) $(PROJECT_REFERENCES) $(build_xamlg_list) $(build_satellite_assembly_list)
+	mkdir -p $(dir $(ASSEMBLY))
+	$(ASSEMBLY_COMPILER_COMMAND) $(ASSEMBLY_COMPILER_FLAGS) -out:$(ASSEMBLY) -target:$(COMPILE_TARGET) $(build_sources_embed) $(build_resources_embed) $(build_references_ref)
+# Tell versions [3.59,3.63) of GNU make to not export all variables.
+# Otherwise a system limit (for SysV at least) may be exceeded.
+.NOEXPORT:

File GNOME-Record-Screen/Makefile.in

+# Makefile.in generated by automake 1.10.1 from Makefile.am.
+# @configure_input@
+
+# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
+# 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
+# This Makefile.in is free software; the Free Software Foundation
+# gives unlimited permission to copy and/or distribute it,
+# with or without modifications, as long as this notice is preserved.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
+# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
+# PARTICULAR PURPOSE.
+
+@SET_MAKE@
+
+
+VPATH = @srcdir@
+pkgdatadir = $(datadir)/@PACKAGE@
+pkglibdir = $(libdir)/@PACKAGE@
+pkgincludedir = $(includedir)/@PACKAGE@
+am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
+install_sh_DATA = $(install_sh) -c -m 644
+install_sh_PROGRAM = $(install_sh) -c
+install_sh_SCRIPT = $(install_sh) -c
+INSTALL_HEADER = $(INSTALL_DATA)
+transform = $(program_transform_name)
+NORMAL_INSTALL = :
+PRE_INSTALL = :
+POST_INSTALL = :
+NORMAL_UNINSTALL = :
+PRE_UNINSTALL = :
+POST_UNINSTALL = :
+DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
+	$(srcdir)/gnome-record-screen.in \
+	$(top_srcdir)/Makefile.include
+subdir = GNOME-Record-Screen
+ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
+am__aclocal_m4_deps = $(top_srcdir)/configure.ac
+am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
+	$(ACLOCAL_M4)
+mkinstalldirs = $(install_sh) -d
+CONFIG_CLEAN_FILES = gnome-record-screen
+am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(pkglibdir)" \
+	"$(DESTDIR)$(linuxdesktopapplicationsdir)" \
+	"$(DESTDIR)$(programfilesdir)"
+binSCRIPT_INSTALL = $(INSTALL_SCRIPT)
+pkglibSCRIPT_INSTALL = $(INSTALL_SCRIPT)
+SCRIPTS = $(bin_SCRIPTS) $(pkglib_SCRIPTS)
+SOURCES =
+DIST_SOURCES =
+am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
+am__vpath_adj = case $$p in \
+    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
+    *) f=$$p;; \
+  esac;
+am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
+linuxdesktopapplicationsDATA_INSTALL = $(INSTALL_DATA)
+programfilesDATA_INSTALL = $(INSTALL_DATA)
+DATA = $(linuxdesktopapplications_DATA) $(programfiles_DATA)
+DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
+ACLOCAL = @ACLOCAL@
+AMTAR = @AMTAR@
+AUTOCONF = @AUTOCONF@
+AUTOHEADER = @AUTOHEADER@
+AUTOMAKE = @AUTOMAKE@
+AWK = @AWK@
+CYGPATH_W = @CYGPATH_W@
+DEFS = @DEFS@
+ECHO_C = @ECHO_C@
+ECHO_N = @ECHO_N@
+ECHO_T = @ECHO_T@
+GLADE_SHARP_20_CFLAGS = @GLADE_SHARP_20_CFLAGS@
+GLADE_SHARP_20_LIBS = @GLADE_SHARP_20_LIBS@
+GLIB_SHARP_20_CFLAGS = @GLIB_SHARP_20_CFLAGS@
+GLIB_SHARP_20_LIBS = @GLIB_SHARP_20_LIBS@
+GMCS = @GMCS@
+GTK_SHARP_20_CFLAGS = @GTK_SHARP_20_CFLAGS@
+GTK_SHARP_20_LIBS = @GTK_SHARP_20_LIBS@
+INSTALL = @INSTALL@
+INSTALL_DATA = @INSTALL_DATA@
+INSTALL_PROGRAM = @INSTALL_PROGRAM@
+INSTALL_SCRIPT = @INSTALL_SCRIPT@
+INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
+LIBOBJS = @LIBOBJS@
+LIBS = @LIBS@
+LTLIBOBJS = @LTLIBOBJS@
+MAKEINFO = @MAKEINFO@
+MKDIR_P = @MKDIR_P@
+PACKAGE = @PACKAGE@
+PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
+PACKAGE_NAME = @PACKAGE_NAME@
+PACKAGE_STRING = @PACKAGE_STRING@
+PACKAGE_TARNAME = @PACKAGE_TARNAME@
+PACKAGE_VERSION = @PACKAGE_VERSION@
+PATH_SEPARATOR = @PATH_SEPARATOR@
+PKG_CONFIG = @PKG_CONFIG@
+SET_MAKE = @SET_MAKE@
+SHELL = @SHELL@
+STRIP = @STRIP@
+VERSION = @VERSION@
+abs_builddir = @abs_builddir@
+abs_srcdir = @abs_srcdir@
+abs_top_builddir = @abs_top_builddir@
+abs_top_srcdir = @abs_top_srcdir@
+am__leading_dot = @am__leading_dot@
+am__tar = @am__tar@
+am__untar = @am__untar@
+bindir = @bindir@
+build_alias = @build_alias@
+builddir = @builddir@
+datadir = @datadir@
+datarootdir = @datarootdir@
+docdir = @docdir@
+dvidir = @dvidir@
+exec_prefix = @exec_prefix@
+host_alias = @host_alias@
+htmldir = @htmldir@
+includedir = @includedir@
+infodir = @infodir@
+install_sh = @install_sh@
+libdir = @libdir@
+libexecdir = @libexecdir@
+localedir = @localedir@
+localstatedir = @localstatedir@
+mandir = @mandir@
+mkdir_p = @mkdir_p@
+oldincludedir = @oldincludedir@
+pdfdir = @pdfdir@
+prefix = @prefix@
+program_transform_name = @program_transform_name@
+psdir = @psdir@
+sbindir = @sbindir@
+sharedstatedir = @sharedstatedir@
+srcdir = @srcdir@
+sysconfdir = @sysconfdir@
+target_alias = @target_alias@
+top_builddir = @top_builddir@
+top_srcdir = @top_srcdir@
+EXTRA_DIST = $(build_sources) $(build_resx_files) \
+	$(build_others_files) $(ASSEMBLY_WRAPPER_IN) $(EXTRAS) \
+	$(DATA_FILES) $(build_culture_res_files)
+
+# Warning: This is an automatically generated file, do not edit!
+@ENABLE_DEBUG_TRUE@ASSEMBLY_COMPILER_COMMAND = gmcs
+@ENABLE_RELEASE_TRUE@ASSEMBLY_COMPILER_COMMAND = gmcs
+@ENABLE_DEBUG_TRUE@ASSEMBLY_COMPILER_FLAGS = -noconfig -codepage:utf8 -warn:4 -optimize+ -debug "-define:DEBUG"
+@ENABLE_RELEASE_TRUE@ASSEMBLY_COMPILER_FLAGS = -noconfig -codepage:utf8 -warn:4 -optimize+ "-main:Gnome.RecordScreen.RecorderApplication"
+@ENABLE_DEBUG_TRUE@ASSEMBLY = bin/Debug/GNOME-Record-Screen.exe
+@ENABLE_RELEASE_TRUE@ASSEMBLY = bin/Release/GNOME-Record-Screen.exe
+@ENABLE_DEBUG_TRUE@ASSEMBLY_MDB = $(ASSEMBLY).mdb
+@ENABLE_RELEASE_TRUE@ASSEMBLY_MDB = 
+@ENABLE_DEBUG_TRUE@COMPILE_TARGET = winexe
+@ENABLE_RELEASE_TRUE@COMPILE_TARGET = winexe
+@ENABLE_DEBUG_TRUE@PROJECT_REFERENCES = 
+@ENABLE_RELEASE_TRUE@PROJECT_REFERENCES = 
+@ENABLE_DEBUG_TRUE@BUILD_DIR = bin/Debug
+@ENABLE_RELEASE_TRUE@BUILD_DIR = bin/Release
+@ENABLE_DEBUG_TRUE@LIBSTETIC_DLL_SOURCE = ../../../../../usr/lib/monodevelop/AddIns/MonoDevelop.GtkCore/libstetic.dll
+@ENABLE_RELEASE_TRUE@LIBSTETIC_DLL_SOURCE = ../../../../../usr/lib/monodevelop/AddIns/MonoDevelop.GtkCore/libstetic.dll
+@ENABLE_DEBUG_TRUE@LIBSTETIC_DLL_CONFIG_SOURCE = ../../../../../usr/lib/monodevelop/AddIns/MonoDevelop.GtkCore/libstetic.dll.config
+@ENABLE_RELEASE_TRUE@LIBSTETIC_DLL_CONFIG_SOURCE = ../../../../../usr/lib/monodevelop/AddIns/MonoDevelop.GtkCore/libstetic.dll.config
+@ENABLE_DEBUG_TRUE@GNOME_RECORD_SCREEN_DESKTOP_SOURCE = app.desktop
+@ENABLE_RELEASE_TRUE@GNOME_RECORD_SCREEN_DESKTOP_SOURCE = app.desktop
+AL = al2
+SATELLITE_ASSEMBLY_NAME = .resources.dll
+PROGRAMFILES = \
+	$(LIBSTETIC_DLL) \
+	$(LIBSTETIC_DLL_CONFIG)  
+
+LINUX_DESKTOPAPPLICATIONS = \
+	$(GNOME_RECORD_SCREEN_DESKTOP)  
+
+BINARIES = \
+	$(GNOME_RECORD_SCREEN)  
+
+FILES = \
+	gtk-gui/generated.cs \
+	gtk-gui/Gnome.RecordScreen.UI.MainWindow.cs \
+	src/AssemblyInfo.cs \
+	src/Main.cs \
+	src/UI/MainWindow.cs \
+	src/ScreenRecorder.cs \
+	src/Log.cs \
+	src/Utils.cs \
+	src/UI/RecordingAreaSelector.cs \
+	src/UI/SaveDialog.cs \
+	src/VideoEncoders.cs \
+	src/UI/H264ConfigurationPane.cs \
+	gtk-gui/Gnome.RecordScreen.UI.H264ConfigurationPane.cs \
+	src/UI/TheoraConfigurationPane.cs \
+	gtk-gui/Gnome.RecordScreen.UI.TheoraConfigurationPane.cs \
+	src/UI/MpegConfigurationPane.cs \
+	gtk-gui/Gnome.RecordScreen.UI.MpegConfigurationPane.cs 
+
+DATA_FILES = \
+	app.desktop 
+
+RESOURCES = \
+	gtk-gui/gui.stetic \
+	gtk-gui/objects.xml 
+
+EXTRAS = \
+	gnome-record-screen.in 
+
+REFERENCES = \
+	$(GTK_SHARP_20_LIBS) \
+	$(GLIB_SHARP_20_LIBS) \
+	$(GLADE_SHARP_20_LIBS) \
+	System \
+	Mono.Posix
+
+DLL_REFERENCES = \
+	../../../../../usr/lib/monodevelop/AddIns/MonoDevelop.GtkCore/libstetic.dll
+
+CLEANFILES = $(PROGRAMFILES) $(LINUX_DESKTOPAPPLICATIONS) $(BINARIES) \
+	$(ASSEMBLY) $(ASSEMBLY).mdb $(BINARIES) \
+	$(build_resx_resources) $(build_satellite_assembly_list)
+VALID_CULTURES = ar bg ca zh-CHS cs da de el en es fi fr he hu is it ja ko nl no pl pt ro ru hr sk sq sv th tr id uk be sl et lv lt fa vi hy eu mk af fo hi sw gu ta te kn mr gl kok ar-SA bg-BG ca-ES zh-TW cs-CZ da-DK de-DE el-GR en-US fi-FI fr-FR he-IL hu-HU is-IS it-IT ja-JP ko-KR nl-NL nb-NO pl-PL pt-BR ro-RO ru-RU hr-HR sk-SK sq-AL sv-SE th-TH tr-TR id-ID uk-UA be-BY sl-SI et-EE lv-LV lt-LT fa-IR vi-VN hy-AM eu-ES mk-MK af-ZA fo-FO hi-IN sw-KE gu-IN ta-IN te-IN kn-IN mr-IN gl-ES kok-IN ar-IQ zh-CN de-CH en-GB es-MX fr-BE it-CH nl-BE nn-NO pt-PT sv-FI ar-EG zh-HK de-AT en-AU es-ES fr-CA ar-LY zh-SG de-LU en-CA es-GT fr-CH ar-DZ zh-MO en-NZ es-CR fr-LU ar-MA en-IE es-PA ar-TN en-ZA es-DO ar-OM es-VE ar-YE es-CO ar-SY es-PE ar-JO es-AR ar-LB en-ZW es-EC ar-KW en-PH es-CL ar-AE es-UY ar-BH es-PY ar-QA es-BO es-SV es-HN es-NI es-PR zh-CHT
+build_sources = $(FILES) $(GENERATED_FILES)
+build_sources_embed = $(build_sources:%='$(srcdir)/%')
+comma__ = ,
+get_resource_name = $(firstword $(subst $(comma__), ,$1))
+get_culture = $(lastword $(subst ., ,$(basename $1)))
+is_cultured_resource = $(and $(word 3,$(subst ., ,$1)), $(filter $(VALID_CULTURES),$(lastword $(subst ., ,$(basename $1)))))
+build_resx_list = $(foreach res, $(RESOURCES), $(if $(filter %.resx, $(call get_resource_name,$(res))),$(res),))
+build_non_culture_resx_list = $(foreach res, $(build_resx_list),$(if $(call is_cultured_resource,$(call get_resource_name,$(res))),,$(res)))
+build_non_culture_others_list = $(foreach res, $(filter-out $(build_resx_list),$(RESOURCES)),$(if $(call is_cultured_resource,$(call get_resource_name,$(res))),,$(res)))
+build_others_list = $(build_non_culture_others_list)
+build_xamlg_list = $(filter %.xaml.g.cs, $(FILES))
+
+# resgen all .resx resources
+build_resx_files = $(foreach res, $(build_resx_list), $(call get_resource_name,$(res)))
+build_resx_resources = $(build_resx_files:.resx=.resources)
+
+# embed resources for the main assembly
+build_resx_resources_hack = $(subst .resx,.resources, $(build_non_culture_resx_list))
+build_resx_resources_embed = $(build_resx_resources_hack:%='-resource:%')
+build_others_files = $(foreach res, $(build_others_list),$(call get_resource_name,$(res)))
+build_others_resources = $(build_others_files)
+build_others_resources_embed = $(build_others_list:%='-resource:$(srcdir)/%')
+build_resources = $(build_resx_resources) $(build_others_resources)
+build_resources_embed = $(build_resx_resources_embed) $(build_others_resources_embed)
+build_references_ref = $(foreach ref, $(REFERENCES), $(if $(filter \
+	-pkg:%, $(ref)), $(ref), $(if $(filter -r:%, $(ref)), $(ref), \
+	-r:$(ref)))) $(foreach ref, $(DLL_REFERENCES), -r:$(ref)) \
+	$(foreach ref, $(PROJECT_REFERENCES), -r:$(ref))
+DISTCLEANFILES = $(GENERATED_FILES) $(pc_files) $(BUILD_DIR)/*
+pkglib_SCRIPTS = $(ASSEMBLY)
+bin_SCRIPTS = $(BINARIES)
+linuxdesktopapplicationsdir = @datadir@/applications
+linuxdesktopapplications_DATA = $(LINUX_DESKTOPAPPLICATIONS)
+programfilesdir = @libdir@/@PACKAGE@
+programfiles_DATA = $(PROGRAMFILES)
+
+# generating satellite assemblies
+culture_resources = $(foreach res, $(RESOURCES), $(if $(call is_cultured_resource,$(call get_resource_name, $(res))),$(res)))
+cultures = $(sort $(foreach res, $(culture_resources), $(call get_culture,$(call get_resource_name,$(res)))))
+culture_resource_dependencies = $(BUILD_DIR)/$1/$(SATELLITE_ASSEMBLY_NAME): $(subst .resx,.resources,$2)
+culture_resource_commandlines = cmd_line_satellite_$1 += '/embed:$(subst .resx,.resources,$2)'
+build_satellite_assembly_list = $(cultures:%=$(BUILD_DIR)/%/$(SATELLITE_ASSEMBLY_NAME))
+build_culture_res_files = $(foreach res, $(culture_resources),$(call get_resource_name,$(res)))
+LIBSTETIC_DLL = $(BUILD_DIR)/libstetic.dll
+GNOME_RECORD_SCREEN = $(BUILD_DIR)/gnome-record-screen
+LIBSTETIC_DLL_CONFIG = $(BUILD_DIR)/libstetic.dll.config
+GNOME_RECORD_SCREEN_DESKTOP = $(BUILD_DIR)/gnome-record-screen.desktop
+all: all-am
+
+.SUFFIXES:
+$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/Makefile.include $(am__configure_deps)
+	@for dep in $?; do \
+	  case '$(am__configure_deps)' in \
+	    *$$dep*) \
+	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
+		&& exit 0; \
+	      exit 1;; \
+	  esac; \
+	done; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  GNOME-Record-Screen/Makefile'; \
+	cd $(top_srcdir) && \
+	  $(AUTOMAKE) --foreign  GNOME-Record-Screen/Makefile
+.PRECIOUS: Makefile
+Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
+	@case '$?' in \
+	  *config.status*) \
+	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
+	  *) \
+	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
+	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
+	esac;
+
+$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
+	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+
+$(top_srcdir)/configure:  $(am__configure_deps)
+	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
+	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+gnome-record-screen: $(top_builddir)/config.status $(srcdir)/gnome-record-screen.in
+	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
+install-binSCRIPTS: $(bin_SCRIPTS)
+	@$(NORMAL_INSTALL)
+	test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
+	@list='$(bin_SCRIPTS)'; for p in $$list; do \
+	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
+	  if test -f $$d$$p; then \
+	    f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
+	    echo " $(binSCRIPT_INSTALL) '$$d$$p' '$(DESTDIR)$(bindir)/$$f'"; \
+	    $(binSCRIPT_INSTALL) "$$d$$p" "$(DESTDIR)$(bindir)/$$f"; \
+	  else :; fi; \
+	done
+
+uninstall-binSCRIPTS:
+	@$(NORMAL_UNINSTALL)
+	@list='$(bin_SCRIPTS)'; for p in $$list; do \
+	  f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
+	  echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
+	  rm -f "$(DESTDIR)$(bindir)/$$f"; \
+	done
+install-pkglibSCRIPTS: $(pkglib_SCRIPTS)
+	@$(NORMAL_INSTALL)
+	test -z "$(pkglibdir)" || $(MKDIR_P) "$(DESTDIR)$(pkglibdir)"
+	@list='$(pkglib_SCRIPTS)'; for p in $$list; do \
+	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
+	  if test -f $$d$$p; then \
+	    f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
+	    echo " $(pkglibSCRIPT_INSTALL) '$$d$$p' '$(DESTDIR)$(pkglibdir)/$$f'"; \
+	    $(pkglibSCRIPT_INSTALL) "$$d$$p" "$(DESTDIR)$(pkglibdir)/$$f"; \
+	  else :; fi; \
+	done
+
+uninstall-pkglibSCRIPTS:
+	@$(NORMAL_UNINSTALL)
+	@list='$(pkglib_SCRIPTS)'; for p in $$list; do \
+	  f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
+	  echo " rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
+	  rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
+	done
+install-linuxdesktopapplicationsDATA: $(linuxdesktopapplications_DATA)
+	@$(NORMAL_INSTALL)
+	test -z "$(linuxdesktopapplicationsdir)" || $(MKDIR_P) "$(DESTDIR)$(linuxdesktopapplicationsdir)"
+	@list='$(linuxdesktopapplications_DATA)'; for p in $$list; do \
+	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
+	  f=$(am__strip_dir) \
+	  echo " $(linuxdesktopapplicationsDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(linuxdesktopapplicationsdir)/$$f'"; \
+	  $(linuxdesktopapplicationsDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(linuxdesktopapplicationsdir)/$$f"; \
+	done
+
+uninstall-linuxdesktopapplicationsDATA:
+	@$(NORMAL_UNINSTALL)
+	@list='$(linuxdesktopapplications_DATA)'; for p in $$list; do \
+	  f=$(am__strip_dir) \
+	  echo " rm -f '$(DESTDIR)$(linuxdesktopapplicationsdir)/$$f'"; \
+	  rm -f "$(DESTDIR)$(linuxdesktopapplicationsdir)/$$f"; \
+	done
+install-programfilesDATA: $(programfiles_DATA)
+	@$(NORMAL_INSTALL)
+	test -z "$(programfilesdir)" || $(MKDIR_P) "$(DESTDIR)$(programfilesdir)"
+	@list='$(programfiles_DATA)'; for p in $$list; do \
+	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
+	  f=$(am__strip_dir) \
+	  echo " $(programfilesDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(programfilesdir)/$$f'"; \
+	  $(programfilesDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(programfilesdir)/$$f"; \
+	done
+
+uninstall-programfilesDATA:
+	@$(NORMAL_UNINSTALL)
+	@list='$(programfiles_DATA)'; for p in $$list; do \
+	  f=$(am__strip_dir) \
+	  echo " rm -f '$(DESTDIR)$(programfilesdir)/$$f'"; \
+	  rm -f "$(DESTDIR)$(programfilesdir)/$$f"; \
+	done
+tags: TAGS
+TAGS:
+
+ctags: CTAGS
+CTAGS:
+
+
+distdir: $(DISTFILES)
+	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
+	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
+	list='$(DISTFILES)'; \
+	  dist_files=`for file in $$list; do echo $$file; done | \
+	  sed -e "s|^$$srcdirstrip/||;t" \
+	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
+	case $$dist_files in \
+	  */*) $(MKDIR_P) `echo "$$dist_files" | \
+			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
+			   sort -u` ;; \
+	esac; \
+	for file in $$dist_files; do \
+	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
+	  if test -d $$d/$$file; then \
+	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
+	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
+	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
+	    fi; \
+	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
+	  else \
+	    test -f $(distdir)/$$file \
+	    || cp -p $$d/$$file $(distdir)/$$file \
+	    || exit 1; \
+	  fi; \
+	done
+check-am: all-am
+check: check-am
+all-am: Makefile $(SCRIPTS) $(DATA)
+installdirs:
+	for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(linuxdesktopapplicationsdir)" "$(DESTDIR)$(programfilesdir)"; do \
+	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
+	done
+install: install-am
+install-exec: install-exec-am
+install-data: install-data-am
+uninstall: uninstall-am
+
+install-am: all-am
+	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
+
+installcheck: installcheck-am
+install-strip:
+	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
+	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
+	  `test -z '$(STRIP)' || \
+	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
+mostlyclean-generic:
+
+clean-generic:
+	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
+
+distclean-generic:
+	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
+	-test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
+
+maintainer-clean-generic:
+	@echo "This command is intended for maintainers to use"
+	@echo "it deletes files that may require special tools to rebuild."
+clean: clean-am
+
+clean-am: clean-generic mostlyclean-am
+
+distclean: distclean-am
+	-rm -f Makefile
+distclean-am: clean-am distclean-generic
+
+dvi: dvi-am
+
+dvi-am:
+
+html: html-am
+
+info: info-am
+
+info-am:
+
+install-data-am: install-linuxdesktopapplicationsDATA \
+	install-programfilesDATA
+
+install-dvi: install-dvi-am
+
+install-exec-am: install-binSCRIPTS install-pkglibSCRIPTS
+
+install-html: install-html-am
+
+install-info: install-info-am
+
+install-man:
+
+install-pdf: install-pdf-am
+
+install-ps: install-ps-am
+
+installcheck-am:
+
+maintainer-clean: maintainer-clean-am
+	-rm -f Makefile
+maintainer-clean-am: distclean-am maintainer-clean-generic
+
+mostlyclean: mostlyclean-am
+
+mostlyclean-am: mostlyclean-generic
+
+pdf: pdf-am
+
+pdf-am:
+
+ps: ps-am
+
+ps-am:
+
+uninstall-am: uninstall-binSCRIPTS \
+	uninstall-linuxdesktopapplicationsDATA uninstall-pkglibSCRIPTS \
+	uninstall-programfilesDATA
+
+.MAKE: install-am install-strip
+
+.PHONY: all all-am check check-am clean clean-generic distclean \
+	distclean-generic distdir dvi dvi-am html html-am info info-am \
+	install install-am install-binSCRIPTS install-data \
+	install-data-am install-dvi install-dvi-am install-exec \
+	install-exec-am install-html install-html-am install-info \
+	install-info-am install-linuxdesktopapplicationsDATA \
+	install-man install-pdf install-pdf-am install-pkglibSCRIPTS \
+	install-programfilesDATA install-ps install-ps-am \
+	install-strip installcheck installcheck-am installdirs \
+	maintainer-clean maintainer-clean-generic mostlyclean \
+	mostlyclean-generic pdf pdf-am ps ps-am uninstall uninstall-am \
+	uninstall-binSCRIPTS uninstall-linuxdesktopapplicationsDATA \
+	uninstall-pkglibSCRIPTS uninstall-programfilesDATA
+
+@ENABLE_DEBUG_TRUE@ "-main:Gnome.RecordScreen.RecorderApplication"
+
+all: $(ASSEMBLY) $(PROGRAMFILES) $(LINUX_DESKTOPAPPLICATIONS) $(BINARIES) 
+
+# macros
+
+# $(call emit-deploy-target,deploy-variable-name)
+define emit-deploy-target
+$($1): $($1_SOURCE)
+	mkdir -p $$(dir $($1))
+	cp '$$<' '$$@'
+endef
+
+# $(call emit-deploy-wrapper,wrapper-variable-name,wrapper-sourcefile,x)
+# assumes that for a wrapper foo.pc its source template is foo.pc.in
+# if $3 is non-empty then wrapper is marked exec
+define emit-deploy-wrapper
+$($1): $2 
+	mkdir -p '$$(@D)'
+	cp '$$<' '$$@'
+	$(if $3,chmod +x '$$@')
+
+endef
+
+$(eval $(foreach res, $(culture_resources), $(eval $(call culture_resource_dependencies,$(call get_culture,$(call get_resource_name,$(res))),$(call get_resource_name,$(res))))))
+$(eval $(foreach res, $(culture_resources), $(eval $(call culture_resource_commandlines,$(call get_culture,$(call get_resource_name,$(res))),$(res)))))
+
+$(build_satellite_assembly_list): $(BUILD_DIR)/%/$(SATELLITE_ASSEMBLY_NAME):
+	mkdir -p '$(@D)'
+	$(AL) -out:'$@' -culture:$* -t:lib $(cmd_line_satellite_$*)
+
+$(eval $(call emit-deploy-target,LIBSTETIC_DLL))
+$(eval $(call emit-deploy-wrapper,GNOME_RECORD_SCREEN,gnome-record-screen,x))
+$(eval $(call emit-deploy-target,LIBSTETIC_DLL_CONFIG))
+$(eval $(call emit-deploy-target,GNOME_RECORD_SCREEN_DESKTOP))
+
+$(build_xamlg_list): %.xaml.g.cs: %.xaml
+	xamlg '$<'
+
+$(build_resx_resources) : %.resources: %.resx
+	resgen2 '$<' '$@'
+
+$(ASSEMBLY) $(ASSEMBLY_MDB): $(build_sources) $(build_resources) $(build_datafiles) $(DLL_REFERENCES) $(PROJECT_REFERENCES) $(build_xamlg_list) $(build_satellite_assembly_list)
+	mkdir -p $(dir $(ASSEMBLY))
+	$(ASSEMBLY_COMPILER_COMMAND) $(ASSEMBLY_COMPILER_FLAGS) -out:$(ASSEMBLY) -target:$(COMPILE_TARGET) $(build_sources_embed) $(build_resources_embed) $(build_references_ref)
+# Tell versions [3.59,3.63) of GNU make to not export all variables.
+# Otherwise a system limit (for SysV at least) may be exceeded.
+.NOEXPORT:

File GNOME-Record-Screen/app.desktop

+[Desktop Entry]
+Encoding=UTF-8
+Type=Application
+Name=GNOME-Record-Screen
+Exec=gnome-record-screen
+Terminal=false

File GNOME-Record-Screen/bin/Debug/GNOME-Record-Screen.exe

Binary file added.

File GNOME-Record-Screen/bin/Debug/GNOME-Record-Screen.exe.mdb

Binary file added.

File GNOME-Record-Screen/bin/Debug/gnome-record-screen

+#!/bin/sh
+
+exec mono "/usr/local/lib/gnome-record-screen/GNOME-Record-Screen.exe" "$@"

File GNOME-Record-Screen/bin/Debug/gnome-record-screen.desktop

+[Desktop Entry]
+Encoding=UTF-8
+Type=Application
+Name=GNOME-Record-Screen
+Exec=gnome-record-screen
+Terminal=false

File GNOME-Record-Screen/bin/Debug/librecordscreen.so

Binary file added.

File GNOME-Record-Screen/bin/Debug/libstetic.dll

Binary file added.

File GNOME-Record-Screen/bin/Debug/libstetic.dll.config

+<configuration>
+  <dllmap dll="libgobject-2.0-0.dll" target="libgobject-2.0.so.0" os="!osx,windows" />
+  <dllmap dll="libgobject-2.0-0.dll" target="libgobject-2.0.dylib" os="osx" />
+  <dllmap dll="libgtk-win32-2.0-0.dll" target="libgtk-x11-2.0.so.0" os="!osx,windows"/>
+  <dllmap dll="libgtk-win32-2.0-0.dll" target="libgtk-x11-2.0.dylib" os="osx"/>
+  <dllmap dll="libgdk-win32-2.0-0.dll" target="libgdk-x11-2.0.so.0" os="!osx,windows"/>
+  <dllmap dll="libgdk-win32-2.0-0.dll" target="libgdk-x11-2.0.dylib" os="osx"/>
+</configuration>

File GNOME-Record-Screen/gnome-record-screen

+#!/bin/sh
+
+exec mono "@expanded_libdir@/gnome-record-screen/GNOME-Record-Screen.exe" "$@"

File GNOME-Record-Screen/gnome-record-screen.in

+#!/bin/sh
+
+exec mono "@expanded_libdir@/@PACKAGE@/GNOME-Record-Screen.exe" "$@"

File GNOME-Record-Screen/gtk-gui/Gnome.RecordScreen.UI.H264ConfigurationPane.cs

+// ------------------------------------------------------------------------------
+//  <autogenerated>
+//      This code was generated by a tool.
+//      Mono Runtime Version: 2.0.50727.42
+// 
+//      Changes to this file may cause incorrect behavior and will be lost if 
+//      the code is regenerated.
+//  </autogenerated>
+// ------------------------------------------------------------------------------
+
+namespace Gnome.RecordScreen.UI {
+    
+    
+    public partial class H264ConfigurationPane {
+        
+        private Gtk.Table table1;
+        
+        private Gtk.HScale bitrate;
+        
+        private Gtk.Label label1;
+        
+        protected virtual void Build() {
+            Stetic.Gui.Initialize(this);
+            // Widget Gnome.RecordScreen.UI.H264ConfigurationPane
+            Stetic.BinContainer.Attach(this);
+            this.Name = "Gnome.RecordScreen.UI.H264ConfigurationPane";
+            // Container child Gnome.RecordScreen.UI.H264ConfigurationPane.Gtk.Container+ContainerChild
+            this.table1 = new Gtk.Table(((uint)(3)), ((uint)(2)), false);
+            this.table1.Name = "table1";
+            this.table1.RowSpacing = ((uint)(6));
+            this.table1.ColumnSpacing = ((uint)(12));
+            // Container child table1.Gtk.Table+TableChild
+            this.bitrate = new Gtk.HScale(null);
+            this.bitrate.CanFocus = true;
+            this.bitrate.Name = "bitrate";
+            this.bitrate.UpdatePolicy = ((Gtk.UpdateType)(2));
+            this.bitrate.Adjustment.Lower = 512;
+            this.bitrate.Adjustment.Upper = 12288;
+            this.bitrate.Adjustment.PageIncrement = 128;
+            this.bitrate.Adjustment.StepIncrement = 128;
+            this.bitrate.Adjustment.Value = 2048;
+            this.bitrate.DrawValue = true;
+            this.bitrate.Digits = 0;
+            this.bitrate.ValuePos = ((Gtk.PositionType)(0));
+            this.table1.Add(this.bitrate);
+            Gtk.Table.TableChild w1 = ((Gtk.Table.TableChild)(this.table1[this.bitrate]));
+            w1.LeftAttach = ((uint)(1));
+            w1.RightAttach = ((uint)(2));
+            w1.YOptions = ((Gtk.AttachOptions)(4));
+            // Container child table1.Gtk.Table+TableChild
+            this.label1 = new Gtk.Label();
+            this.label1.Name = "label1";
+            this.label1.Ypad = 3;
+            this.label1.Yalign = 0F;
+            this.label1.LabelProp = Mono.Unix.Catalog.GetString("Bitrate:");
+            this.table1.Add(this.label1);
+            Gtk.Table.TableChild w2 = ((Gtk.Table.TableChild)(this.table1[this.label1]));
+            w2.XOptions = ((Gtk.AttachOptions)(4));
+            w2.YOptions = ((Gtk.AttachOptions)(4));
+            this.Add(this.table1);
+            if ((this.Child != null)) {
+                this.Child.ShowAll();
+            }
+            this.Show();
+        }
+    }
+}

File GNOME-Record-Screen/gtk-gui/Gnome.RecordScreen.UI.MainWindow.cs

+// ------------------------------------------------------------------------------
+//  <autogenerated>
+//      This code was generated by a tool.
+//      Mono Runtime Version: 2.0.50727.42
+// 
+//      Changes to this file may cause incorrect behavior and will be lost if 
+//      the code is regenerated.
+//  </autogenerated>
+// ------------------------------------------------------------------------------
+
+namespace Gnome.RecordScreen.UI {
+    
+    
+    public partial class MainWindow {
+        
+        private Gtk.VBox vbox2;
+        
+        private Gtk.HPaned hpaned2;
+        
+        private Gtk.ScrolledWindow GtkScrolledWindow;
+        
+        private Gtk.TreeView presets;
+        
+        private Gtk.ScrolledWindow scrolledwindow1;
+        
+        private Gtk.VBox configurationBox;
+        
+        private Gtk.Label label1;
+        
+        private Gtk.Table table1;
+        
+        private Gtk.ComboBox audioQuality;
+        
+        private Gtk.Label label3;
+        
+        private Gtk.Label label4;
+        
+        private Gtk.Label label5;
+        
+        private Gtk.ComboBox microphoneInput;
+        
+        private Gtk.VBox vbox4;
+        
+        private Gtk.CheckButton recordMicrophoneAudio;
+        
+        private Gtk.CheckButton recordSystemAudio;
+        
+        private Gtk.Label label2;
+        
+        private Gtk.Table videoTable;
+        
+        private Gtk.Label label8;
+        
+        private Gtk.Label label9;
+        
+        private Gtk.ComboBox regularFrameRate;
+        
+        private Gtk.ComboBox videoFormat;
+        
+        private Gtk.Label videoFormatConfigurationLabel;
+        
+        private Gtk.HBox hbox1;
+        
+        private Gtk.Button addPresetButton;
+        
+        private Gtk.Fixed fixed2;
+        
+        private Gtk.Button selectRecordingAreaButton;
+        
+        private Gtk.Button recordButton;
+        
+        private Gtk.Button stopButton;
+        
+        private Gtk.Button quitButton;
+        
+        protected virtual void Build() {
+            Stetic.Gui.Initialize(this);
+            // Widget Gnome.RecordScreen.UI.MainWindow
+            this.WidthRequest = 580;
+            this.HeightRequest = 400;
+            this.Name = "Gnome.RecordScreen.UI.MainWindow";
+            this.Title = Mono.Unix.Catalog.GetString("GNOME Record Screen");
+            this.WindowPosition = ((Gtk.WindowPosition)(4));
+            // Container child Gnome.RecordScreen.UI.MainWindow.Gtk.Container+ContainerChild
+            this.vbox2 = new Gtk.VBox();
+            this.vbox2.Name = "vbox2";
+            this.vbox2.Spacing = 6;
+            this.vbox2.BorderWidth = ((uint)(9));
+            // Container child vbox2.Gtk.Box+BoxChild
+            this.hpaned2 = new Gtk.HPaned();
+            this.hpaned2.CanFocus = true;
+            this.hpaned2.Name = "hpaned2";
+            this.hpaned2.Position = 140;
+            // Container child hpaned2.Gtk.Paned+PanedChild
+            this.GtkScrolledWindow = new Gtk.ScrolledWindow();
+            this.GtkScrolledWindow.Name = "GtkScrolledWindow";
+            this.GtkScrolledWindow.HscrollbarPolicy = ((Gtk.PolicyType)(2));
+            this.GtkScrolledWindow.ShadowType = ((Gtk.ShadowType)(1));
+            // Container child GtkScrolledWindow.Gtk.Container+ContainerChild
+            this.presets = new Gtk.TreeView();
+            this.presets.CanFocus = true;
+            this.presets.Name = "presets";
+            this.GtkScrolledWindow.Add(this.presets);
+            this.hpaned2.Add(this.GtkScrolledWindow);
+            Gtk.Paned.PanedChild w2 = ((Gtk.Paned.PanedChild)(this.hpaned2[this.GtkScrolledWindow]));
+            w2.Resize = false;
+            // Container child hpaned2.Gtk.Paned+PanedChild
+            this.scrolledwindow1 = new Gtk.ScrolledWindow();
+            this.scrolledwindow1.CanFocus = true;
+            this.scrolledwindow1.Name = "scrolledwindow1";
+            this.scrolledwindow1.HscrollbarPolicy = ((Gtk.PolicyType)(2));
+            this.scrolledwindow1.ShadowType = ((Gtk.ShadowType)(3));
+            // Container child scrolledwindow1.Gtk.Container+ContainerChild
+            Gtk.Viewport w3 = new Gtk.Viewport();
+            w3.ShadowType = ((Gtk.ShadowType)(0));
+            // Container child GtkViewport.Gtk.Container+ContainerChild
+            this.configurationBox = new Gtk.VBox();
+            this.configurationBox.Name = "configurationBox";
+            this.configurationBox.Spacing = 6;
+            this.configurationBox.BorderWidth = ((uint)(6));
+            // Container child configurationBox.Gtk.Box+BoxChild
+            this.label1 = new Gtk.Label();
+            this.label1.Name = "label1";
+            this.label1.Xpad = 5;
+            this.label1.Xalign = 0F;
+            this.label1.LabelProp = Mono.Unix.Catalog.GetString("<b>Audio</b>");
+            this.label1.UseMarkup = true;
+            this.configurationBox.Add(this.label1);
+            Gtk.Box.BoxChild w4 = ((Gtk.Box.BoxChild)(this.configurationBox[this.label1]));
+            w4.Position = 0;
+            w4.Expand = false;
+            w4.Fill = false;
+            // Container child configurationBox.Gtk.Box+BoxChild
+            this.table1 = new Gtk.Table(((uint)(3)), ((uint)(2)), false);
+            this.table1.Name = "table1";
+            this.table1.RowSpacing = ((uint)(8));
+            this.table1.ColumnSpacing = ((uint)(12));
+            this.table1.BorderWidth = ((uint)(6));
+            // Container child table1.Gtk.Table+TableChild
+            this.audioQuality = Gtk.ComboBox.NewText();
+            this.audioQuality.AppendText(Mono.Unix.Catalog.GetString("Low Quality"));
+            this.audioQuality.AppendText(Mono.Unix.Catalog.GetString("Medium Quality"));
+            this.audioQuality.AppendText(Mono.Unix.Catalog.GetString("High Quality"));
+            this.audioQuality.Name = "audioQuality";
+            this.audioQuality.Active = 1;
+            this.table1.Add(this.audioQuality);
+            Gtk.Table.TableChild w5 = ((Gtk.Table.TableChild)(this.table1[this.audioQuality]));
+            w5.LeftAttach = ((uint)(1));
+            w5.RightAttach = ((uint)(2));
+            w5.YOptions = ((Gtk.AttachOptions)(4));
+            // Container child table1.Gtk.Table+TableChild
+            this.label3 = new Gtk.Label();
+            this.label3.Name = "label3";
+            this.label3.Xalign = 1F;
+            this.label3.Yalign = 0.1F;
+            this.label3.LabelProp = Mono.Unix.Catalog.GetString("Input Selection:");
+            this.table1.Add(this.label3);
+            Gtk.Table.TableChild w6 = ((Gtk.Table.TableChild)(this.table1[this.label3]));
+            w6.TopAttach = ((uint)(2));
+            w6.BottomAttach = ((uint)(3));
+            w6.XOptions = ((Gtk.AttachOptions)(4));
+            w6.YOptions = ((Gtk.AttachOptions)(4));
+            // Container child table1.Gtk.Table+TableChild
+            this.label4 = new Gtk.Label();
+            this.label4.Name = "label4";
+            this.label4.Xalign = 1F;
+            this.label4.LabelProp = Mono.Unix.Catalog.GetString("Microphone Input:");
+            this.table1.Add(this.label4);
+            Gtk.Table.TableChild w7 = ((Gtk.Table.TableChild)(this.table1[this.label4]));
+            w7.TopAttach = ((uint)(1));
+            w7.BottomAttach = ((uint)(2));
+            w7.XOptions = ((Gtk.AttachOptions)(4));
+            w7.YOptions = ((Gtk.AttachOptions)(4));
+            // Container child table1.Gtk.Table+TableChild
+            this.label5 = new Gtk.Label();
+            this.label5.WidthRequest = 140;
+            this.label5.Name = "label5";
+            this.label5.Xalign = 1F;
+            this.label5.LabelProp = Mono.Unix.Catalog.GetString("Quality:");
+            this.table1.Add(this.label5);
+            Gtk.Table.TableChild w8 = ((Gtk.Table.TableChild)(this.table1[this.label5]));
+            w8.XOptions = ((Gtk.AttachOptions)(4));
+            w8.YOptions = ((Gtk.AttachOptions)(4));
+            // Container child table1.Gtk.Table+TableChild
+            this.microphoneInput = Gtk.ComboBox.NewText();
+            this.microphoneInput.AppendText(Mono.Unix.Catalog.GetString("Built-In Microphone"));
+            this.microphoneInput.AppendText(Mono.Unix.Catalog.GetString("External Microphone"));
+            this.microphoneInput.Name = "microphoneInput";
+            this.microphoneInput.Active = 0;
+            this.table1.Add(this.microphoneInput);
+            Gtk.Table.TableChild w9 = ((Gtk.Table.TableChild)(this.table1[this.microphoneInput]));
+            w9.TopAttach = ((uint)(1));
+            w9.BottomAttach = ((uint)(2));
+            w9.LeftAttach = ((uint)(1));
+            w9.RightAttach = ((uint)(2));
+            w9.YOptions = ((Gtk.AttachOptions)(4));
+            // Container child table1.Gtk.Table+TableChild
+            this.vbox4 = new Gtk.VBox();
+            this.vbox4.Name = "vbox4";
+            this.vbox4.Spacing = 6;
+            // Container child vbox4.Gtk.Box+BoxChild
+            this.recordMicrophoneAudio = new Gtk.CheckButton();
+            this.recordMicrophoneAudio.CanFocus = true;
+            this.recordMicrophoneAudio.Name = "recordMicrophoneAudio";
+            this.recordMicrophoneAudio.Label = Mono.Unix.Catalog.GetString("Record microphone audio");
+            this.recordMicrophoneAudio.Active = true;
+            this.recordMicrophoneAudio.DrawIndicator = true;
+            this.recordMicrophoneAudio.UseUnderline = true;
+            this.vbox4.Add(this.recordMicrophoneAudio);
+            Gtk.Box.BoxChild w10 = ((Gtk.Box.BoxChild)(this.vbox4[this.recordMicrophoneAudio]));
+            w10.Position = 0;
+            w10.Expand = false;
+            w10.Fill = false;
+            // Container child vbox4.Gtk.Box+BoxChild
+            this.recordSystemAudio = new Gtk.CheckButton();
+            this.recordSystemAudio.CanFocus = true;
+            this.recordSystemAudio.Name = "recordSystemAudio";
+            this.recordSystemAudio.Label = Mono.Unix.Catalog.GetString("Record system audio");
+            this.recordSystemAudio.DrawIndicator = true;
+            this.recordSystemAudio.UseUnderline = true;
+            this.vbox4.Add(this.recordSystemAudio);
+            Gtk.Box.BoxChild w11 = ((Gtk.Box.BoxChild)(this.vbox4[this.recordSystemAudio]));
+            w11.Position = 1;
+            w11.Expand = false;
+            w11.Fill = false;
+            this.table1.Add(this.vbox4);
+            Gtk.Table.TableChild w12 = ((Gtk.Table.TableChild)(this.table1[this.vbox4]));
+            w12.TopAttach = ((uint)(2));
+            w12.BottomAttach = ((uint)(3));
+            w12.LeftAttach = ((uint)(1));
+            w12.RightAttach = ((uint)(2));
+            w12.XOptions = ((Gtk.AttachOptions)(4));
+            w12.YOptions = ((Gtk.AttachOptions)(4));
+            this.configurationBox.Add(this.table1);
+            Gtk.Box.BoxChild w13 = ((Gtk.Box.BoxChild)(this.configurationBox[this.table1]));
+            w13.Position = 1;
+            w13.Expand = false;
+            w13.Fill = false;
+            // Container child configurationBox.Gtk.Box+BoxChild
+            this.label2 = new Gtk.Label();
+            this.label2.Name = "label2";
+            this.label2.Xpad = 5;
+            this.label2.Xalign = 0F;
+            this.label2.LabelProp = Mono.Unix.Catalog.GetString("<b>Video</b>");
+            this.label2.UseMarkup = true;
+            this.configurationBox.Add(this.label2);
+            Gtk.Box.BoxChild w14 = ((Gtk.Box.BoxChild)(this.configurationBox[this.label2]));
+            w14.Position = 2;
+            w14.Expand = false;
+            w14.Fill = false;
+            // Container child configurationBox.Gtk.Box+BoxChild
+            this.videoTable = new Gtk.Table(((uint)(3)), ((uint)(2)), false);
+            this.videoTable.Name = "videoTable";
+            this.videoTable.RowSpacing = ((uint)(8));
+            this.videoTable.ColumnSpacing = ((uint)(12));
+            this.videoTable.BorderWidth = ((uint)(6));
+            // Container child videoTable.Gtk.Table+TableChild
+            this.label8 = new Gtk.Label();
+            this.label8.Name = "label8";
+            this.label8.Xalign = 1F;
+            this.label8.LabelProp = Mono.Unix.Catalog.GetString("Video Format:");
+            this.videoTable.Add(this.label8);
+            Gtk.Table.TableChild w15 = ((Gtk.Table.TableChild)(this.videoTable[this.label8]));
+            w15.TopAttach = ((uint)(1));
+            w15.BottomAttach = ((uint)(2));
+            w15.XOptions = ((Gtk.AttachOptions)(4));
+            w15.YOptions = ((Gtk.AttachOptions)(4));
+            // Container child videoTable.Gtk.Table+TableChild
+            this.label9 = new Gtk.Label();
+            this.label9.WidthRequest = 140;
+            this.label9.Name = "label9";
+            this.label9.Xalign = 1F;
+            this.label9.LabelProp = Mono.Unix.Catalog.GetString("Regular frame rate:");
+            this.videoTable.Add(this.label9);
+            Gtk.Table.TableChild w16 = ((Gtk.Table.TableChild)(this.videoTable[this.label9]));
+            w16.XOptions = ((Gtk.AttachOptions)(4));
+            w16.YOptions = ((Gtk.AttachOptions)(4));
+            // Container child videoTable.Gtk.Table+TableChild
+            this.regularFrameRate = Gtk.ComboBox.NewText();
+            this.regularFrameRate.AppendText(Mono.Unix.Catalog.GetString("2"));
+            this.regularFrameRate.AppendText(Mono.Unix.Catalog.GetString("4"));
+            this.regularFrameRate.AppendText(Mono.Unix.Catalog.GetString("5"));
+            this.regularFrameRate.AppendText(Mono.Unix.Catalog.GetString("6"));
+            this.regularFrameRate.AppendText(Mono.Unix.Catalog.GetString("8"));
+            this.regularFrameRate.AppendText(Mono.Unix.Catalog.GetString("10"));
+            this.regularFrameRate.AppendText(Mono.Unix.Catalog.GetString("12"));
+            this.regularFrameRate.AppendText(Mono.Unix.Catalog.GetString("14"));
+            this.regularFrameRate.AppendText(Mono.Unix.Catalog.GetString("15"));
+            this.regularFrameRate.AppendText(Mono.Unix.Catalog.GetString("16"));
+            this.regularFrameRate.AppendText(Mono.Unix.Catalog.GetString("18"));
+            this.regularFrameRate.AppendText(Mono.Unix.Catalog.GetString("20"));
+            this.regularFrameRate.AppendText(Mono.Unix.Catalog.GetString("22"));
+            this.regularFrameRate.AppendText(Mono.Unix.Catalog.GetString("23.976"));
+            this.regularFrameRate.AppendText(Mono.Unix.Catalog.GetString("24"));
+            this.regularFrameRate.AppendText(Mono.Unix.Catalog.GetString("25"));
+            this.regularFrameRate.AppendText(Mono.Unix.Catalog.GetString("26"));
+            this.regularFrameRate.AppendText(Mono.Unix.Catalog.GetString("28"));
+            this.regularFrameRate.AppendText(Mono.Unix.Catalog.GetString("29.97"));
+            this.regularFrameRate.AppendText(Mono.Unix.Catalog.GetString("30"));
+            this.regularFrameRate.Name = "regularFrameRate";
+            this.regularFrameRate.Active = 8;
+            this.videoTable.Add(this.regularFrameRate);
+            Gtk.Table.TableChild w17 = ((Gtk.Table.TableChild)(this.videoTable[this.regularFrameRate]));
+            w17.LeftAttach = ((uint)(1));
+            w17.RightAttach = ((uint)(2));
+            w17.YOptions = ((Gtk.AttachOptions)(4));
+            // Container child videoTable.Gtk.Table+TableChild
+            this.videoFormat = Gtk.ComboBox.NewText();
+            this.videoFormat.AppendText(Mono.Unix.Catalog.GetString("H.264"));
+            this.videoFormat.AppendText(Mono.Unix.Catalog.GetString("Theora"));
+            this.videoFormat.AppendText(Mono.Unix.Catalog.GetString("MPEG2"));
+            this.videoFormat.AppendText(Mono.Unix.Catalog.GetString("Animated PNG"));
+            this.videoFormat.Name = "videoFormat";
+            this.videoFormat.Active = 2;
+            this.videoTable.Add(this.videoFormat);
+            Gtk.Table.TableChild w18 = ((Gtk.Table.TableChild)(this.videoTable[this.videoFormat]));
+            w18.TopAttach = ((uint)(1));
+            w18.BottomAttach = ((uint)(2));
+            w18.LeftAttach = ((uint)(1));
+            w18.RightAttach = ((uint)(2));
+            w18.YOptions = ((Gtk.AttachOptions)(4));
+            // Container child videoTable.Gtk.Table+TableChild
+            this.videoFormatConfigurationLabel = new Gtk.Label();
+            this.videoFormatConfigurationLabel.Name = "videoFormatConfigurationLabel";
+            this.videoFormatConfigurationLabel.Ypad = 3;
+            this.videoFormatConfigurationLabel.Xalign = 1F;
+            this.videoFormatConfigurationLabel.Yalign = 0F;
+            this.videoFormatConfigurationLabel.LabelProp = Mono.Unix.Catalog.GetString("Format Settings:");
+            this.videoTable.Add(this.videoFormatConfigurationLabel);
+            Gtk.Table.TableChild w19 = ((Gtk.Table.TableChild)(this.videoTable[this.videoFormatConfigurationLabel]));
+            w19.TopAttach = ((uint)(2));
+            w19.BottomAttach = ((uint)(3));
+            w19.XOptions = ((Gtk.AttachOptions)(4));
+            w19.YOptions = ((Gtk.AttachOptions)(4));
+            this.configurationBox.Add(this.videoTable);
+            Gtk.Box.BoxChild w20 = ((Gtk.Box.BoxChild)(this.configurationBox[this.videoTable]));
+            w20.Position = 3;
+            w20.Expand = false;
+            w20.Fill = false;
+            w3.Add(this.configurationBox);
+            this.scrolledwindow1.Add(w3);
+            this.hpaned2.Add(this.scrolledwindow1);
+            this.vbox2.Add(this.hpaned2);
+            Gtk.Box.BoxChild w24 = ((Gtk.Box.BoxChild)(this.vbox2[this.hpaned2]));
+            w24.Position = 0;
+            // Container child vbox2.Gtk.Box+BoxChild
+            this.hbox1 = new Gtk.HBox();
+            this.hbox1.Name = "hbox1";
+            this.hbox1.Spacing = 6;
+            // Container child hbox1.Gtk.Box+BoxChild
+            this.addPresetButton = new Gtk.Button();
+            this.addPresetButton.CanFocus = true;
+            this.addPresetButton.Name = "addPresetButton";
+            this.addPresetButton.UseStock = true;
+            this.addPresetButton.UseUnderline = true;
+            this.addPresetButton.Label = "gtk-add";
+            this.hbox1.Add(this.addPresetButton);
+            Gtk.Box.BoxChild w25 = ((Gtk.Box.BoxChild)(this.hbox1[this.addPresetButton]));
+            w25.Position = 0;
+            w25.Expand = false;
+            w25.Fill = false;
+            // Container child hbox1.Gtk.Box+BoxChild
+            this.fixed2 = new Gtk.Fixed();
+            this.fixed2.Name = "fixed2";
+            this.fixed2.HasWindow = false;
+            this.hbox1.Add(this.fixed2);
+            Gtk.Box.BoxChild w26 = ((Gtk.Box.BoxChild)(this.hbox1[this.fixed2]));
+            w26.Position = 1;
+            // Container child hbox1.Gtk.Box+BoxChild
+            this.selectRecordingAreaButton = new Gtk.Button();
+            this.selectRecordingAreaButton.CanFocus = true;
+            this.selectRecordingAreaButton.Name = "selectRecordingAreaButton";
+            this.selectRecordingAreaButton.UseUnderline = true;
+            this.selectRecordingAreaButton.Label = Mono.Unix.Catalog.GetString("Select recording area");
+            this.hbox1.Add(this.selectRecordingAreaButton);
+            Gtk.Box.BoxChild w27 = ((Gtk.Box.BoxChild)(this.hbox1[this.selectRecordingAreaButton]));
+            w27.Position = 2;
+            w27.Expand = false;
+            w27.Fill = false;
+            // Container child hbox1.Gtk.Box+BoxChild
+            this.recordButton = new Gtk.Button();
+            this.recordButton.CanFocus = true;
+            this.recordButton.Name = "recordButton";
+            this.recordButton.UseStock = true;
+            this.recordButton.UseUnderline = true;
+            this.recordButton.Label = "gtk-media-record";
+            this.hbox1.Add(this.recordButton);
+            Gtk.Box.BoxChild w28 = ((Gtk.Box.BoxChild)(this.hbox1[this.recordButton]));
+            w28.Position = 3;
+            w28.Expand = false;
+            w28.Fill = false;
+            // Container child hbox1.Gtk.Box+BoxChild
+            this.stopButton = new Gtk.Button();
+            this.stopButton.CanFocus = true;
+            this.stopButton.Name = "stopButton";
+            this.stopButton.UseStock = true;
+            this.stopButton.UseUnderline = true;
+            this.stopButton.Label = "gtk-media-stop";
+            this.hbox1.Add(this.stopButton);
+            Gtk.Box.BoxChild w29 = ((Gtk.Box.BoxChild)(this.hbox1[this.stopButton]));
+            w29.Position = 4;
+            w29.Expand = false;
+            w29.Fill = false;
+            // Container child hbox1.Gtk.Box+BoxChild
+            this.quitButton = new Gtk.Button();
+            this.quitButton.CanFocus = true;
+            this.quitButton.Name = "quitButton";
+            this.quitButton.UseStock = true;
+            this.quitButton.UseUnderline = true;
+            this.quitButton.Label = "gtk-quit";
+            this.hbox1.Add(this.quitButton);
+            Gtk.Box.BoxChild w30 = ((Gtk.Box.BoxChild)(this.hbox1[this.quitButton]));
+            w30.Position = 5;
+            w30.Expand = false;
+            w30.Fill = false;
+            this.vbox2.Add(this.hbox1);
+            Gtk.Box.BoxChild w31 = ((Gtk.Box.BoxChild)(this.vbox2[this.hbox1]));
+            w31.Position = 1;
+            w31.Expand = false;
+            w31.Fill = false;
+            this.Add(this.vbox2);
+            if ((this.Child != null)) {
+                this.Child.ShowAll();
+            }
+            this.DefaultWidth = 588;
+            this.DefaultHeight = 488;
+            this.videoFormatConfigurationLabel.Hide();
+            this.stopButton.Hide();
+            this.Show();
+            this.DeleteEvent += new Gtk.DeleteEventHandler(this.OnDeleteEvent);
+            this.videoFormat.Changed += new System.EventHandler(this.OnVideoFormatChanged);
+            this.selectRecordingAreaButton.Clicked += new System.EventHandler(this.OnSelectRecordingAreaButtonClicked);
+            this.recordButton.Clicked += new System.EventHandler(this.OnRecordButtonClicked);
+            this.stopButton.Clicked += new System.EventHandler(this.OnStopButtonClicked);
+            this.quitButton.Clicked += new System.EventHandler(this.OnQuitButtonClicked);
+        }
+    }
+}

File GNOME-Record-Screen/gtk-gui/Gnome.RecordScreen.UI.MpegConfigurationPane.cs

+// ------------------------------------------------------------------------------
+//  <autogenerated>
+//      This code was generated by a tool.
+//      Mono Runtime Version: 2.0.50727.42
+// 
+//      Changes to this file may cause incorrect behavior and will be lost if 
+//      the code is regenerated.
+//  </autogenerated>
+// ------------------------------------------------------------------------------
+
+namespace Gnome.RecordScreen.UI {
+    
+    
+    public partial class MpegConfigurationPane {
+        
+        private Gtk.Table table1;
+        
+        private Gtk.HScale bitrate;
+        
+        private Gtk.ComboBox format;
+        
+        private Gtk.Label label1;
+        
+        private Gtk.Label label2;
+